package de.fhmuenster.masterthesis.generator.mockdata;

import java.util.ArrayList;
import java.util.List;

public class DelegateMock implements IsMock {

	private String name;
	private String serviceTaskName;
	private String packageName;
	private String delegateClassName;
	private String registrationName;
	private List<ManualMock> manualMocks;
	
	public DelegateMock() {
		this.manualMocks = new ArrayList<>();
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String name) {
		this.name = name;
	}

	public String getServiceTaskName() {
		return serviceTaskName;
	}

	public void setServiceTaskName(String serviceTaskName) {
		this.serviceTaskName = serviceTaskName;
	}
	
	public List<ManualMock> getManualMocks() {
		return manualMocks;
	}
	
	public void setManualMocks(List<ManualMock> manualMocks) {
		this.manualMocks = manualMocks;
	}
	
	public void addManualMocks(ManualMock manualMock) {
		this.manualMocks.add(manualMock);
	}
	
	public String getPackageName() {
		return packageName;
	}
	
	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}
	
	public String getDelegateClassName() {
		return delegateClassName;
	}
	
	public void setDelegateClassName(String delegateClassName) {
		this.delegateClassName = delegateClassName;
	}
	
	public String getRegistrationName() {
		return registrationName;
	}

	public void setRegistrationName(String registrationName) {
		this.registrationName = registrationName;
	}
}
